package com.xhkjedu.sclass.mapper.classroom;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomVideo;
import com.xhkjedu.sclass.model.classroom.TClassroomVote;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ClassroomVideoMapper extends TkMapper<TClassroomVideo> {
    //课堂视频列表
    List<Map> listByRoomId(@Param("roomid") Long roomid);

    //修改
    Integer update(@Param("video") TClassroomVideo video);

    //获取同名称、路径视频上传个数
    Integer getNumByNamePath(@Param("rvname") String rvname,@Param("rvpath") String rvpath);

    //获取课堂录制视频个数
    Integer getNumByRoomId(@Param("roomid") Long roomid);

}